//
//  Perforce_ServerPref.m
//  Perforce Server
//
//  Created by Mike Ashmore on 3/3/10.
//  Copyright (c) 2010 Mike Ashmore. All rights reserved.
//

#import "Perforce_ServerPref.h"

@implementation Perforce_ServerPref
@synthesize buttonText, statusText, serverConfig;

- (void) mainViewDidLoad
{
    self.updatePanelStatus;
}

- (IBAction) startOrStopButtonPressed:(id)sender
{
    if ([serverConfig isRunning]) {
        [serverConfig stopServer];
    } else {
        [serverConfig startServer];
    }        
    self.updatePanelStatus;
}

- (void) updatePanelStatus
{
    BOOL running;

    running = [serverConfig isRunning];
    
    if (running) {
        self.buttonText = @"Stop Perforce Server";
        self.statusText = @"P4D is running";
    } else {
        self.buttonText = @"Start Perforce Server";
        self.statusText = @"P4D is stopped";
    };
}

@end
